aboutsummaryrefslogtreecommitdiffstats
path: root/meta-python/recipes-extended
diff options
context:
space:
mode:
authorTim Orling <ticotimo@gmail.com>2015-08-27 20:45:10 -0700
committerMartin Jansa <Martin.Jansa@gmail.com>2015-09-08 16:18:34 +0200
commit104f6413d2b8affc9133a3623bd677d99df9c31e (patch)
tree49e94f1e863d31657378a36c431a7b3706b6e34a /meta-python/recipes-extended
parentfaf070c45a67f0ad49f52bc4cb79a77f64842d93 (diff)
downloadmeta-openembedded-104f6413d2b8affc9133a3623bd677d99df9c31e.tar.gz
meta-openembedded-104f6413d2b8affc9133a3623bd677d99df9c31e.tar.bz2
meta-openembedded-104f6413d2b8affc9133a3623bd677d99df9c31e.zip
python-pyparted: update to 3.10.5
* add patch to fix float cast error when version is x.y.z form * add minimal parted version (>= 2.3) to RDEPENDS NOTE: If your tree defaults to an earlier parted version (e.g. 1.8.6), you will need to add PREFERRED_VERSION_parted = "3.%" to local.conf or you will see a do_compile error (complaining about required libparted version). Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'meta-python/recipes-extended')
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch26
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.5.bb27
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted_3.9.bb23
3 files changed, 53 insertions, 23 deletions
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch b/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch
new file mode 100644
index 000000000..db3ab9fc3
--- /dev/null
+++ b/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch
@@ -0,0 +1,26 @@
+check_mod_version breaks if module version is of x.y.z form
+use a regex to help cast x.y.z version to a float
+
+Upstream-Status: Pending
+
+Index: git/setup.py
+===================================================================
+--- git.orig/setup.py
++++ git/setup.py
+@@ -25,6 +25,7 @@ import glob
+ import os
+ import platform
+ import sys
++import re
+ from distutils.ccompiler import new_compiler
+ from distutils.errors import CompileError
+ from distutils.errors import LinkError
+@@ -51,6 +52,8 @@ def pkgconfig(*packages, **kwargs):
+
+ def check_mod_version(module, version):
+ modversion = subprocess.check_output(["pkg-config", "--modversion", module])
++ match = re.search('([0-9]+\.[0-9]+)', modversion)
++ modversion = match.group(0)
+ if not float(modversion) >= float(version):
+ sys.stderr.write("*** Minimum required %s version: %s, found: %s\n" % (module, version, modversion,))
+ sys.exit(1)
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.5.bb b/meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.5.bb
new file mode 100644
index 000000000..d5b8f9ab1
--- /dev/null
+++ b/meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.5.bb
@@ -0,0 +1,27 @@
+DESCRIPTION = "pyparted is a set of Python modules that provide Python programmers \
+an interface to libparted, the GNU parted library for disk partitioning and \
+filesystem manipulation."
+SUMMARY = "Python bindings for libparted"
+HOMEPAGE = "https://github.com/rhinstaller/pyparted"
+LICENSE = "GPL-2.0+"
+LIC_FILES_CHKSUM = "\
+ file://COPYING;md5=8ca43cbc842c2336e835926c2166c28b \
+ file://src/_pedmodule.c;startline=10;endline=22;md5=ebcb25dde1ac9c46e986dec79b404e7e \
+"
+DEPENDS += "parted python-re"
+
+PV = "3.10.5+git${SRCPV}"
+
+# upstream only publishes releases in github archives which are discouraged
+SRCREV = "75bba5a5c8b65b21979d69421f661f7708304191"
+SRC_URI = "git://github.com/rhinstaller/pyparted.git;protocol=https \
+ file://0001-fix-version-float-check.patch \
+"
+S = "${WORKDIR}/git"
+
+inherit distutils
+
+RDEPENDS_${PN} += "python-stringold python-codecs python-math parted (>= 2.3)"
+RDEPENDS_${PN}_class-native = ""
+
+BBCLASSEXTEND += "native"
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted_3.9.bb b/meta-python/recipes-extended/python-pyparted/python-pyparted_3.9.bb
deleted file mode 100644
index bfb4f6f87..000000000
--- a/meta-python/recipes-extended/python-pyparted/python-pyparted_3.9.bb
+++ /dev/null
@@ -1,23 +0,0 @@
-DESCRIPTION = "pyparted is a set of Python modules that provide Python programmers \
-an interface to libparted, the GNU parted library for disk partitioning and \
-filesystem manipulation."
-SUMMARY = "Python bindings for libparted"
-HOMEPAGE = "https://fedorahosted.org/pyparted/"
-LICENSE = "GPL-2.0+"
-LIC_FILES_CHKSUM = "\
- file://COPYING;md5=8ca43cbc842c2336e835926c2166c28b \
- file://src/_pedmodule.c;startline=10;endline=22;md5=70c62bd73782a03f56a0571a9f08ea46 \
-"
-DEPENDS += "parted"
-
-SRC_URI = "https://fedorahosted.org/releases/p/y/pyparted/pyparted-${PV}.tar.gz"
-SRC_URI[md5sum] = "f16c7ef7f5fa4a43fcb2a4654b487e39"
-SRC_URI[sha256sum] = "a56712e3d058ce3d859c158236dbbf45224018919efd3d880ea80f9e0d0bebbb"
-S = "${WORKDIR}/pyparted-${PV}"
-
-inherit distutils
-
-RDEPENDS_${PN} += "python-stringold python-codecs python-math"
-RDEPENDS_${PN}_class-native = ""
-
-BBCLASSEXTEND += "native"